package com.eactive.eai.transformer.layout;

public class Types {
    
    public static final String FIELD_SEPARATOR = "."; //"$";
    
    public static final int TYPE_UNKNOWN = 2100;
    public static final int TYPE_STRING = 2101;
    public static final int TYPE_INT = 2102;
    public static final int TYPE_LONG = 2103;
    public static final int TYPE_SHORT = 2104;
    public static final int TYPE_DOUBLE = 2105;
    public static final int TYPE_FLOAT = 2106;

    /** ASCII CHAR (1byte) */
    public static final int TYPE_CHAR = 2107;
    public static final int TYPE_BYTE = 2108;
    public static final int TYPE_DATE = 2109;
    public static final int TYPE_TIME = 2110;
    public static final int TYPE_TIMESTAMP = 2111;

    /** SHORT, INTEGER, LONG, FLOAT, DOUBLE */
    public static final int TYPE_NUMBER = 2112;

    public static final int TYPE_BYTEARRAY = 2113;
    public static final int TYPE_NUMERIC = 2114;
    public static final int TYPE_PACKDECIMAL = 2115;
    public static final int TYPE_OBJECT = 2116;
    public static final int TYPE_BOOLEAN = 2117;
    public static final int TYPE_BIGDECIMAL = 2118;
    
    private Types() {
    
    }
    
    public static String getType(int type) {
        switch (type) {
        case TYPE_UNKNOWN:
            return "TYPE_UNKNOWN";

        case TYPE_STRING:
            return "TYPE_STRING";

        case TYPE_INT:
            return "TYPE_INT";

        case TYPE_LONG:
            return "TYPE_LONG";

        case TYPE_SHORT:
            return "TYPE_SHORT";

        case TYPE_DOUBLE:
            return "TYPE_DOUBLE";

        case TYPE_FLOAT:
            return "TYPE_FLOAT";

        case TYPE_CHAR:
            return "TYPE_CHAR";

        case TYPE_BYTE:
            return "TYPE_BYTE";

        case TYPE_DATE:
            return "TYPE_DATE";

        case TYPE_TIME:
            return "TYPE_TIME";

        case TYPE_TIMESTAMP:
            return "TYPE_TIMESTAMP";

        case TYPE_NUMBER:
            return "TYPE_NUMBER";

        case TYPE_BYTEARRAY:
            return "TYPE_BYTEARRAY";

        case TYPE_NUMERIC:
            return "TYPE_NUMERIC";

        case TYPE_PACKDECIMAL:
            return "TYPE_PACKDECIMAL";

        case TYPE_OBJECT:
            return "TYPE_OBJECT";

        case TYPE_BOOLEAN:
            return "TYPE_BOOLEAN";

        case TYPE_BIGDECIMAL:
            return "TYPE_BIGDECIMAL";

        default:
            return "TYPE_UNKNOWN";
        }
    }
}
